ContextResourceLink (Catalina Internal API Documentation)
Keywords: org.apache.catalina.deploy.ContextResourceLink class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class ContextResourceLink

    java.lang.Object
      org.apache.catalina.deploy.ContextResourceLink

public final class ContextResourceLink
extends java.lang.Object

Representation of a resource link for a web application, as represented in a `<ResourceLink>` element in the server configuration file.

Version:
  $Revision: 289023 $ $Date: 2004-08-26 18:06:34 -0400 (Thu, 26 Aug 2004) $
Author:
  Remy Maucherat

Field Summary
`protected NamingResources` | `resources` The NamingResources with which we are associated (if any).

Constructor Summary
`ContextResourceLink()`

Method Summary
`java.lang.String` | `getGlobal()`
`java.lang.String` | `getName()`
`NamingResources` | `getNamingResources()`
`java.lang.String` | `getType()`
`void` | `setGlobal(java.lang.String global)`
`void` | `setName(java.lang.String name)`
`void` | `setType(java.lang.String type)`
`java.lang.String` | `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### resources

    protected NamingResources resources

  The NamingResources with which we are associated (if any).

Constructor Detail

### ContextResourceLink

    public ContextResourceLink()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getGlobal

    public java.lang.String getGlobal()

### setGlobal

    public void setGlobal(java.lang.String global)

### toString

    public java.lang.String toString()

  Return a String representation of this object.

### getNamingResources

    public NamingResources getNamingResources()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.